--- debathena-get-message-9.4.0.orig/debian/compat
+++ debathena-get-message-9.4.0/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-get-message-9.4.0.orig/debian/control.in
+++ debathena-get-message-9.4.0/debian/control.in
@@ -0,0 +1,14 @@
+Source: debathena-get-message
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, comerr-dev, libhesiod-dev, debathena-libgms-dev
+Standards-Version: 3.7.2
+
+Package: debathena-get-message
+Architecture: any
+Provides: get_message
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: A program to display the global Athena message of the day
+ The get_message utility locates the Athena Global Message server, 
+ retrieves the current message of the day, and displays it if necessary.
--- debathena-get-message-9.4.0.orig/debian/copyright
+++ debathena-get-message-9.4.0/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-get-message-9.4.0.orig/debian/control
+++ debathena-get-message-9.4.0/debian/control
@@ -0,0 +1,14 @@
+Source: debathena-get-message
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27-1), comerr-dev, libhesiod-dev, debathena-libgms-dev
+Standards-Version: 3.7.2
+
+Package: debathena-get-message
+Architecture: any
+Provides: get_message
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: A program to display the global Athena message of the day
+ The get_message utility locates the Athena Global Message server, 
+ retrieves the current message of the day, and displays it if necessary.
--- debathena-get-message-9.4.0.orig/debian/rules
+++ debathena-get-message-9.4.0/debian/rules
@@ -0,0 +1,12 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += --with-hesiod
+
+clean::
+	rm -f configure
--- debathena-get-message-9.4.0.orig/debian/patches/series
+++ debathena-get-message-9.4.0/debian/patches/series
@@ -0,0 +1 @@
+get-message-no-athena-paths.patch
--- debathena-get-message-9.4.0.orig/debian/patches/get-message-no-athena-paths.patch
+++ debathena-get-message-9.4.0/debian/patches/get-message-no-athena-paths.patch
@@ -0,0 +1,13 @@
+Index: debathena-get-message-9.4.0/view_message_by_zephyr.c
+===================================================================
+--- debathena-get-message-9.4.0.orig/view_message_by_zephyr.c	2007-02-04 01:48:18.000000000 -0500
++++ debathena-get-message-9.4.0/view_message_by_zephyr.c	2007-02-04 01:48:24.000000000 -0500
+@@ -50,7 +50,7 @@
+   /* check that there is *something* after the headers */
+   if(*ptr) {
+     /* don't even fork... this just exits anyway... */
+-    execl("/usr/athena/bin/zwrite",
++    execl("/usr/bin/zwrite",
+ 	  "zwrite", "-d", "-q", "-n",  whoami, "-m", ptr, 0);
+     /* put logging here in case the exec fails. */
+     syslog(LOG_INFO, "GMS client execl of zwrite failed [%s]",
--- debathena-get-message-9.4.0.orig/debian/changelog
+++ debathena-get-message-9.4.0/debian/changelog
@@ -0,0 +1,11 @@
+debathena-get-message (9.4.0-0debathena2) unstable; urgency=low
+
+  * Section: debathena/net.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:45 -0400
+
+debathena-get-message (9.4.0-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 01:16:54 -0500
